import React from 'react'
import NavCTA from '../nav-cta'

const Link = (props) => {
  const content = props.bold || props.link
    ? <strong>{ props.text }</strong>
    : props.text

  if (!props.href) {
    return <li className={props.className}>
      {content}
    </li>
  }

  return <a
    style={props.style}
    href={props.href}
    className={props.className}
    target={props.newTab ? '_blank' : '_self'}>
    <li>{content}</li>
  </a>
}

export default (props) => (
  <div className='m-nav-flex-space'>
    {props.cta &&
    <NavCTA
      first={props.count === 0}
      header={props.cta.header}
      links={props.cta.links} />}

    {((props.midSection.link ? [[props.midSection]] : [])
      .concat(props.linkLists || []))
      .map(function (links, i) {
        return <ul key={i}>
          {links.map(function (item, j) {
            return <Link
              key={`${i}.${j}`}
              bold={item.bold}
              link={item.link}
              text={props.isMobile && item.mobileText ? item.mobileText : item.text}
              href={item.href}
              className={item.className}
              style={item.style}
              newTab={item.newTab} />
          })}
        </ul>
      })
    }
  </div>
)
